Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Email-Template
Version:        0.02
Release:        alt1_10
Summary:        Send "multipart/alternative" (text & html) e-mail from a Template
# lib/Email/Template.pm
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Email-Template
Source0:        https://cpan.metacpan.org/authors/id/S/SF/SFRYER/Email-Template-%{version}.tar.gz
# This module's tests currently try to send e-mails, which fails in mock/koji.
# This patch fixes this by sending the e-mail to a sub which verifies that the
# e-mail looks right.
# https://github.com/wchristian/Email-Template/commit/cefe961606f4bea2bd2373e0a5856c53dbcb33e2
Patch0:         Email-Template-send-disabling.patch

BuildArch:      noarch
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/FormatText/WithLinks/AndTables.pm)
BuildRequires:  perl(MIME/Lite.pm)
BuildRequires:  perl(Template.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(MIME/Lite.pm) >= 3.020



Source44: import.info
%filter_from_requires /^perl(MIME.Lite.pm)/d

%description
This is a fairly simple interface to generate "multipart/alternative"
e-mails with both "text/html" and "text/plain" components using a single
HTML based Template Toolkit template.

%prep
%setup -q -n Email-Template-%{version}
%patch0

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/Email*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_10
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_9
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_8
- update to new release by fcimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_7
- new version

